Subject: Re: What's cooking in git.git (Oct 2023, #04; Tue, 10)

From: SZEDER Gábor <[email-masked]>
Date: Thu, 19 Oct 2023 19:00:02 +0200

On Wed, Oct 11, 2023 at 03:26:47PM -0400, Taylor Blau wrote:
> On Tue, Oct 10, 2023 at 06:32:16PM -0700, Junio C Hamano wrote:
> > * tb/path-filter-fix (2023-08-30) 15 commits
> >  - bloom: introduce `deinit_bloom_filters()`
> >  - commit-graph: reuse existing Bloom filters where possible
> >  - object.h: fix mis-aligned flag bits table
> >  - commit-graph: drop unnecessary `graph_read_bloom_data_context`
> >  - commit-graph.c: unconditionally load Bloom filters
> >  - t/t4216-log-bloom.sh: harden `test_bloom_filters_not_used()`
> >  - bloom: prepare to discard incompatible Bloom filters
> >  - bloom: annotate filters with hash version
> >  - commit-graph: new filter ver. that fixes murmur3
> >  - repo-settings: introduce commitgraph.changedPathsVersion
> >  - t4216: test changed path filters with high bit paths
> >  - t/helper/test-read-graph: implement `bloom-filters` mode
> >  - bloom.h: make `load_bloom_filter_from_graph()` public
> >  - t/helper/test-read-graph.c: extract `dump_graph_info()`
> >  - gitformat-commit-graph: describe version 2 of BDAT
> >
> >  The Bloom filter used for path limited history traversal was broken
> >  on systems whose "char" is unsigned; update the implementation and
> >  bump the format version to 2.
> >
> >  Reroll exists, not picked up yet.
> >  cf. <[email-masked]>
> >  cf. <[email-masked]>
> >  cf. <[email-masked]>
> >  cf. <[email-masked]>
> >  source: <[email-masked]>
> 
> Great, thanks for noting that you saw it ;-). I think that this one is
> ready to go, but I'm obviously biased and I'd feel better if Jonathan or
> Gábor (both CC'd) would take a look before you merge this down.

The test I posted in [email-masked] checking
different Bloom filter versions in different commit-graph layers still
fails in current seen.